Bug 789415 - Agent plugins not available
Agent plugins not available
Status: CLOSED INSUFFICIENT_DATA
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
4.1
Unspecified Windows
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 13:04 EST by Kai
Modified: 2013-07-01 08:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 08:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot which shows the issue (90.99 KB, image/png)
2012-02-10 13:04 EST, Kai
no flags Details

  None (edit)
Description Kai 2012-02-10 13:04:39 EST
Created attachment 560942 [details]
Screenshot which shows the issue

The manual import list shows only the entries "Hosts files" and "Process" after a certain time although more agent plugins are available. Restarts don't clear the issue.
With a complete reinstall of all components (database schema, rhq server and agent) all plugins are available until the issue occurs. Restart of RHQ, full discovery on agent, restart of plugin container or using a new agent, which was not connected with the RHQ server before, do not help.
Currently the issue happens after short runtime over night (approx. 10h)


The issue is in V4.1 and V4.2 reproducible. Use for database an Oracle instance running 11.2g (configured as in RHQ installation manual described). Install an agent on another machine and import them in RHQ. Let the system alone. After a while all plugins in the manual import dialog are gone.
In the administration of RHQ the plugins are available. With a full discovery on the agent all plugins are recognized.

Currently a test with Oracle 10g is running which does not show the issue yet.

Additional Infos:
With the agent JBoss instances should be observed.
Furthermore it seems if the bug does not occur with a Postgresql database as backend.
Comment 1 John Mazzitelli 2012-02-10 13:41:57 EST
note: this might be bug #751097
Comment 2 Mike Foley 2012-02-13 11:59:35 EST
per triage 2/13/2012 (asantos, crouch, foley, loleary)
Comment 3 Heiko W. Rupp 2012-07-18 16:21:40 EDT
Kai,
do you have a chance to test this with RHQ 4.4 , as the BZ mazz mentions may 
have solved that?
Thanks
  Heiko
Comment 4 Heiko W. Rupp 2013-07-01 08:31:22 EDT
Marking this as closed, as it looks like the linked issue is the same and the reporter did not report back.

Note You need to log in before you can comment on or make changes to this bug.